#### D.12.7.10 sturm

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  sturm(p,a,b); poly p, number a,b

Return:
  int: the number of real roots of p in (a,b]

Assume:
  p is a univariate polynomial with rational coefficients,
  a, b are rational numbers with a < b

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    poly p = (x+2)*(x-1)*(x-5);
    sturm(p,-3,6);
    ==> 3
    p = p*(x2+1);
    sturm(p,-3,6);
    ==> 3
    p = p*(x+2);
    sturm(p,-3,6);
    ==> 3

See also: allreal; allrealst; sturmha.

User manual for Singular version 4.4.1, 2025, generated by texi2html.